%global modulescope @babel
%global modulename @babel/helper-function-name

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-babel-helper-function-name
Version:        7.1.0
Release:        1%{?dist}
Summary:        Helper function to change the property 'name' of every function

License:        MIT
URL:            https://github.com/babel/babel/tree/master/packages/babel-helper-function-name
Source0:        https://registry.npmjs.org/@babel/helper-function-name/-/helper-function-name-7.1.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(@babel/helper-get-function-arity) >= 7.0.0 with npmlib(@babel/helper-get-function-arity) < 8.0.0))
BuildRequires:  ((npmlib(@babel/template) >= 7.1.0 with npmlib(@babel/template) < 8.0.0))
BuildRequires:  ((npmlib(@babel/types) >= 7.0.0 with npmlib(@babel/types) < 8.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Helper function to change the property 'name' of every function

%package 7.1.0
Summary:        Helper function to change the property 'name' of every function


%description 7.1.0
Helper function to change the property 'name' of every function

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
mkdir %{buildroot}%{nodejs_dir}/%{modulescope}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}
%dir %{nodejs_dir}/%{modulescope}

%files 7.1.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/
%dir %{npmlib_dir}/%{modulescope}

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 7.1.0-1
- Package automatically generated by npm2srpm
